clang 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::PreprocessorOutputOptions Class Reference

PreprocessorOutputOptions - Options for controlling the C preprocessor output (e.g., -E). More...

`#include "clang/Frontend/PreprocessorOutputOptions.h"`

Collaboration diagram for clang::PreprocessorOutputOptions:
[legend]

## Public Member Functions
| PreprocessorOutputOptions ()

## Public Attributes
unsigned | ShowCPP: 1
| Print normal preprocessed output. More...
unsigned | ShowComments: 1
| Show comments. More...
unsigned | ShowLineMarkers: 1
| Show #line markers. More...
unsigned | UseLineDirectives: 1
| Use #line instead of GCC-style # N. More...
unsigned | ShowMacroComments: 1
| Show comments, even in macros. More...
unsigned | ShowMacros: 1
| Print macro definitions. More...
unsigned | ShowIncludeDirectives: 1
| Print includes, imports etc. within preprocessed output. More...
unsigned | RewriteIncludes: 1
| Preprocess include directives only. More...
unsigned | RewriteImports: 1
| Include contents of transitively-imported modules. More...

## Detailed Description

PreprocessorOutputOptions - Options for controlling the C preprocessor output (e.g., -E).

Definition at line 17 of file PreprocessorOutputOptions.h.

## Constructor & Destructor Documentation

## ◆ PreprocessorOutputOptions()

clang::PreprocessorOutputOptions::PreprocessorOutputOptions | ( |  | ) |
| inline

Definition at line 30 of file PreprocessorOutputOptions.h.

References RewriteImports, RewriteIncludes, ShowComments, ShowCPP, ShowIncludeDirectives, ShowLineMarkers, ShowMacroComments, ShowMacros, and UseLineDirectives.

## Member Data Documentation

## ◆ RewriteImports

unsigned clang::PreprocessorOutputOptions::RewriteImports

Include contents of transitively-imported modules.

Definition at line 27 of file PreprocessorOutputOptions.h.

Referenced by clang::RewriteIncludesAction::BeginSourceFileAction(), clang::CreateFrontendBaseAction(), clang::RewriteIncludesAction::ExecuteAction(), ParsePreprocessorOutputArgs(), and PreprocessorOutputOptions().

## ◆ RewriteIncludes

unsigned clang::PreprocessorOutputOptions::RewriteIncludes

Preprocess include directives only.

Definition at line 26 of file PreprocessorOutputOptions.h.

Referenced by clang::CreateFrontendBaseAction(), ParsePreprocessorOutputArgs(), and PreprocessorOutputOptions().

## ◆ ShowComments

unsigned clang::PreprocessorOutputOptions::ShowComments

Show comments.

Definition at line 20 of file PreprocessorOutputOptions.h.

Referenced by clang::DoPrintPreprocessedInput(), ParsePreprocessorOutputArgs(), and PreprocessorOutputOptions().

## ◆ ShowCPP

unsigned clang::PreprocessorOutputOptions::ShowCPP

Print normal preprocessed output.

Definition at line 19 of file PreprocessorOutputOptions.h.

Referenced by clang::DoPrintPreprocessedInput(), ParsePreprocessorOutputArgs(), and PreprocessorOutputOptions().

## ◆ ShowIncludeDirectives

unsigned clang::PreprocessorOutputOptions::ShowIncludeDirectives

Print includes, imports etc. within preprocessed output.

Definition at line 25 of file PreprocessorOutputOptions.h.

Referenced by clang::DoPrintPreprocessedInput(), ParsePreprocessorOutputArgs(), and PreprocessorOutputOptions().

## ◆ ShowLineMarkers

unsigned clang::PreprocessorOutputOptions::ShowLineMarkers

Show #line markers.

Definition at line 21 of file PreprocessorOutputOptions.h.

Referenced by clang::DoPrintPreprocessedInput(), ParsePreprocessorOutputArgs(), PreprocessorOutputOptions(), and clang::RewriteIncludesInInput().

## ◆ ShowMacroComments

unsigned clang::PreprocessorOutputOptions::ShowMacroComments

Show comments, even in macros.

Definition at line 23 of file PreprocessorOutputOptions.h.

Referenced by clang::DoPrintPreprocessedInput(), ParsePreprocessorOutputArgs(), and PreprocessorOutputOptions().

## ◆ ShowMacros

unsigned clang::PreprocessorOutputOptions::ShowMacros

Print macro definitions.

Definition at line 24 of file PreprocessorOutputOptions.h.

Referenced by clang::DoPrintPreprocessedInput(), ParsePreprocessorOutputArgs(), and PreprocessorOutputOptions().

## ◆ UseLineDirectives

unsigned clang::PreprocessorOutputOptions::UseLineDirectives

Use #line instead of GCC-style # N.

Definition at line 22 of file PreprocessorOutputOptions.h.

Referenced by clang::DoPrintPreprocessedInput(), ParsePreprocessorOutputArgs(), PreprocessorOutputOptions(), and clang::RewriteIncludesInInput().

The documentation for this class was generated from the following file:

- include/clang/Frontend/PreprocessorOutputOptions.h